/* feh.h -- compilation functions used by perpetrate.c and ick.y */

/* wwp: node becomes NODE, tuple becomes TUPLE, int becomes INT32 */

extern NODE *newnode(void);
extern NODE *cons(INT32 type, NODE *car, NODE *cdr);
extern UINT32 intern(INT32 type, INT32 index);
extern void checklabel(INT32 label);
extern void treset(void);
extern TUPLE *newtuple(void);
extern void typecast(NODE *np);
extern void codecheck(void);
extern void optimize(NODE *np);
extern char *nameof(INT32 value, assoc table[]);
extern void emit(TUPLE *tn, FILE *fp);

extern char *enablers[MAXTYPES];
extern assoc vartypes[];

/* feh.h ends here */
